Compiler (Jasper Internal API Documentation)
Keywords: org.apache.jasper.compiler.Compiler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class Compiler

    java.lang.Object
      org.apache.jasper.compiler.Compiler

public class Compiler
extends java.lang.Object

Main JSP compiler class. This class uses Ant for compiling.

Author:
  Anil K. Vijendran, Mandar Raje, Pierre Delisle, Kin-man Chung, Remy Maucherat

Field Summary
`protected JspCompilationContext` | `ctxt`
`protected Options` | `options`
`protected Node.Nodes` | `pageNodes`
`protected Project` | `project`

Constructor Summary
`Compiler(JspCompilationContext ctxt)`
`Compiler(JspCompilationContext ctxt, JspServletWrapper jsw)`

Method Summary
`void` | `compile()` Compile the jsp file from the current engine context
`void` | `generateClass()` Compile the jsp file from the current engine context
`void` | `generateJava()` Compile the jsp file from the current engine context
`JspCompilationContext` | `getCompilationContext()`
`ErrorDispatcher` | `getErrorDispatcher()` Gets the error dispatcher.
`org.apache.jasper.compiler.PageInfo` | `getPageInfo()` Gets the info about the page under compilation
`boolean` | `isOutDated()` This is a protected method intended to be overridden by subclasses of Compiler.
`boolean` | `isOutDated(boolean checkClass)` This is a protected method intended to be overridden by subclasses of Compiler.
`void` | `removeGeneratedFiles()` Remove generated files

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctxt

    protected JspCompilationContext ctxt

### project

    protected Project project

### options

    protected Options options

### pageNodes

    protected Node.Nodes pageNodes

Constructor Detail

### Compiler

    public Compiler(JspCompilationContext ctxt)

### Compiler

    public Compiler(JspCompilationContext ctxt,
                    JspServletWrapper jsw)

Method Detail

### generateJava

    public void generateJava()
                      throws java.io.FileNotFoundException,
                             JasperException,
                             java.lang.Exception

  Compile the jsp file from the current engine context

  Throws:
    `java.io.FileNotFoundException`
    `JasperException`
    `java.lang.Exception`

### generateClass

    public void generateClass()
                       throws java.io.FileNotFoundException,
                              JasperException,
                              java.lang.Exception

  Compile the jsp file from the current engine context

  Throws:
    `java.io.FileNotFoundException`
    `JasperException`
    `java.lang.Exception`

### compile

    public void compile()
                 throws java.io.FileNotFoundException,
                        JasperException,
                        java.lang.Exception

  Compile the jsp file from the current engine context

  Throws:
    `java.io.FileNotFoundException`
    `JasperException`
    `java.lang.Exception`

### isOutDated

    public boolean isOutDated()

  This is a protected method intended to be overridden by subclasses of Compiler. This is used by the compile method to do all the compilation.

### isOutDated

    public boolean isOutDated(boolean checkClass)

  This is a protected method intended to be overridden by subclasses of Compiler. This is used by the compile method to do all the compilation.

  Parameters:
    `checkClass` - Verify the class file if true, only the .java file if false.

### getErrorDispatcher

    public ErrorDispatcher getErrorDispatcher()

  Gets the error dispatcher.

### getPageInfo

    public org.apache.jasper.compiler.PageInfo getPageInfo()

  Gets the info about the page under compilation

### getCompilationContext

    public JspCompilationContext getCompilationContext()

### removeGeneratedFiles

    public void removeGeneratedFiles()

  Remove generated files

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.